Please update to 4.3 or 4.4. What are you waiting for???